Package org.eclipse.net4j.util

# Class AdapterUtil

java.lang.Object
org.eclipse.net4j.util.AdapterUtil

public final class AdapterUtil extends Object
Provides a single static `adapt()` method that conveniently and safely wraps the Platform's adaptation framework.

Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`static <TYPE> TYPE`
`adapt(Object object, Class<TYPE> type)`
`static <TYPE> TYPE`
`adapt(Object object, Class<TYPE> type, boolean consultObject)`
`static <TYPE> boolean`
`adapts(Object object, Class<TYPE> type)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### adapts

public static <TYPE> boolean adapts(Object object, Class<TYPE> type)

Since:
  3.5

### adapt

public static <TYPE> TYPE adapt(Object object, Class<TYPE> type)

### adapt

public static <TYPE> TYPE adapt(Object object, Class<TYPE> type, boolean consultObject)

Since:
  3.5